WordPress.org

Support

Support » Plugins and Hacks » s2Member® Pro » [Plugin: s2Member® Framework (Member Roles, Capabilities, Membership, PayPal Members)] Internal Ser

[Plugin: s2Member® Framework (Member Roles, Capabilities, Membership, PayPal Members)] Internal Ser

Viewing 5 replies - 1 through 5 (of 5 total)
  • I had the exact same problem after an automatic upgrade. The issue is in the .htaccess file. The s2 member update writes code into that file that only Apache 2 can understand. The plugin developers seem to think it is acceptable to require people to upgrade to Apache 2 to continue using the plugin (see discussion threads below). Personally I don’t think this is acceptable. The plugin should not be making such a leap without a clear warning. My own host is using Apache 1.3.41 as do thousands of hosts. I’m on a shared account they are not going to update Apache for me without going dedicated, which i can’t afford.

    Long story short, I had my host restore from a backup and now I will not update s2 member. If it breaks, I’ll dump it completely and find an alternative.

    http://www.s2member.com/forums/topic/v120213-this-am-site-went-down/
    http://www.s2member.com/forums/topic/help-error-500-after-upgrade/

    p.s., if you are able to locate a fix please let me know. But as far as I can see, the developer is requiring an upgrade and commenting out code in the .htaccess file did not work for me.

    immanence, thanks for the info. You’re exactly right–the new version requires Apache 2. I was running 1.3.42, also on a shared host.

    I would have expected this to be clearly stated, or that the plugin itself would check the version of Apache prior to updating.

    I was forced to restore from a backup as well.

    I’m done with S2. Fix or no fix, this kind of carelessness on the part of the developer leaves me unable and unwilling to trust their code in my site any further.

    Agreed. I’d be interested to hear your findings / recommendations on alternatives for the same functionality.

    seems this plugin is more of a problem then I am wanting to deal with.

    http://wordpress.org/extend/plugins/bp-template-pack/

    this template pack causes 403 error code

Viewing 5 replies - 1 through 5 (of 5 total)
  • The topic ‘[Plugin: s2Member® Framework (Member Roles, Capabilities, Membership, PayPal Members)] Internal Ser’ is closed to new replies.
Skip to toolbar